Bug 244539 - does not boot when / is md0
does not boot when / is md0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
7
All Linux
high Severity high
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 19:09 EDT by Nerijus Baliūnas
Modified: 2008-06-16 21:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:37:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2007-06-16 19:09:33 EDT
When using mkinitrd-6.0.9-5 or mkinitrd-6.0.9-7.1 incorrect initrd is generated
and OS does not boot:
sda, sdb disks and partitions are detected
Waiting for driver initialization.
mdadm: /dev/md0 not identified in config file.
Trying to resume from /dev/sda2
No supend signature on swap, not resuming.
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'

If I downgrade to mkinitrd-5.1.19.0.3-1 from FC6 updates and recreate initrd,
system does boot:
sda, sdb disks and partitions are detected
md: Autodetecting RAID arrays.
md0 (and other mdx) is detected and system mounts root filesystem.

My system is yum upgraded from FC6, /etc/fstab:
/dev/md0         /              ext3    .....

grub.conf:
kernel (hd0,0)/boot/vmlinuz-2.6.21-1.3228.fc7 ro root=/dev/md0

As you see I do not use labels.

I do not have /etc/mdadm.conf file, but all previous Fedora versions which use
mdadm instead of raidtools booted successfully.
Comment 1 Alan Cox 2007-10-09 16:23:04 EDT
Does the patch suggested in bug #241949 help here ?
Comment 2 Nerijus Baliūnas 2007-10-09 16:39:05 EDT
The patch is:
--- /sbin/mkinitrd.old  2007-08-13 06:10:50.000000000 +0100
+++ /sbin/mkinitrd      2007-08-13 08:43:11.000000000 +0100
@@ -1020,7 +1020,11 @@
                   | sed -e 's,.*/\([^/]\+\)/dev,\1,' )
             if [ -n "$dev" ]; then
                 vecho "Found root device $dev for $rootdev"
-                rootdev=$dev
+                mapper=$(lvdisplay -c | grep "$majmin")
+                if [ $? = 0 ]; then
+                    rootdev=$(echo "$mapper" | cut -d':' -f1)
+                else rootdev=$dev
+                fi
             fi
         fi
     else

AFAIK it changes only how mkinitrd deals with LVM, but not mdadm.
Comment 3 Bug Zapper 2008-05-14 09:08:40 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:37:29 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.